Method: networks.customTargetingKeys.get
Stay organized with collections
Save and categorize content based on your preferences.
API to retrieve a CustomTargetingKey object.
HTTP request
GET https://admanager.googleapis.com/v1/{name}
Path parameters
| Parameters |
name |
string
Required. The resource name of the CustomTargetingKey. Format: networks/{networkCode}/customTargetingKeys/{customTargetingKeyId}
|
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of CustomTargetingKey.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/admanager
https://www.googleapis.com/auth/admanager.readonly
For more information, see the OAuth 2.0 Overview.
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-03-09 UTC.
[null,null,["Last updated 2026-03-09 UTC."],[],["This API uses a `GET` request to retrieve a `CustomTargetingKey` object. The request URL, structured as `https://admanager.googleapis.com/v1/{name}`, requires a `name` parameter. The `name` parameter specifies the resource in the format: `networks/{networkCode}/customTargetingKeys/{customTargetingKeyId}`. No request body is required. A successful response returns a `CustomTargetingKey` object. The request requires the `https://www.googleapis.com/auth/admanager` OAuth scope.\n"]]